Loading...
Searching...
No Matches
database5.hpp File Reference
API5

this file holds the database class definition as defined in API version 5 More...

`#include "../my_config.h"`
`#include <list>`
`#include "archive.hpp"`
`#include "generic_file.hpp"`
`#include "data_tree.hpp"`
`#include "storage.hpp"`
`#include "database_options.hpp"`
`#include "database.hpp"`
`#include "user_interaction5.hpp"`
`#include "path.hpp"`
`#include "database_listing_callback.hpp"`
`#include "database_aux.hpp"`
`#include "datetime.hpp"`
`#include "user_interaction_blind.hpp"`

Go to the source code of this file.

## Classes

class | libdar5::database
| the database class defines the dar_manager database More...

## Namespaces

namespace | libdar5
| libdar5 namespace encapsulate all libdar symbols

## Detailed Description

this file holds the database class definition as defined in API version 5

Definition in file database5.hpp.